<div [title]="icon | uppercase">
  <span [ngSwitch]="icon" class="icon">
    <fa-icon *ngSwitchCase="'idno'" icon="barcode"></fa-icon>
    <fa-icon *ngSwitchCase="'note'" icon="sticky-note"></fa-icon>
    <fa-icon *ngSwitchCase="'occupation'" icon="briefcase"></fa-icon>
    <fa-icon *ngSwitchCase="'persName'" icon="user"></fa-icon>
    <fa-icon *ngSwitchCase="'sex'" icon="venus-mars"></fa-icon>
    <fa-icon *ngSwitchCase="'birth'" icon="birthday-cake"></fa-icon>
    <fa-icon *ngSwitchCase="'death'" icon="times" rotate="45"></fa-icon>
    <fa-icon *ngSwitchCase="'residence'" icon="home"></fa-icon>
    <fa-icon *ngSwitchCase="'orgName'" icon="users"></fa-icon>
    <fa-icon *ngSwitchCase="'placeName'" icon="map-marker"></fa-icon>
    <fa-icon *ngSwitchCase="'geoName'" icon="map-marker"></fa-icon>
    <fa-icon *ngSwitchCase="'geogFeat'" icon="map-marker"></fa-icon>

    <fa-icon *ngSwitchCase="'district'" icon="map-marker"></fa-icon>
    <fa-icon *ngSwitchCase="'settlement'" icon="location-arrow"></fa-icon>
    <fa-icon *ngSwitchCase="'region'" icon="map-marker"></fa-icon>
    <fa-icon *ngSwitchCase="'country'" icon="map-marker"></fa-icon>
    <fa-icon *ngSwitchCase="'bloc'" icon="map-marker"></fa-icon>

    <fa-icon *ngSwitchCase="'relations'" icon="share-alt"></fa-icon>
    <fa-icon *ngSwitchCase="'actors'" icon="users"></fa-icon>
    <fa-icon *ngSwitchDefault icon="info-circle"></fa-icon>
  </span>
  <span class="label" *ngIf="label">{{ label }}: </span>
  <span class="text">{{ text }}</span>
</div>